import Items from './views/Items';
import Boxes from './views/Boxes';
import Files from './views/Files';
import Events from './views/Events';
import Error from './views/Error';
import HowTo from './views/HowTo';
import VueRouter from 'vue-router';
import Vue from 'vue';
import Debug from "@/views/admin/Debug.vue";
import Tickets from "@/views/Tickets.vue";
import Ticket from "@/views/Ticket.vue";
import Admin from "@/views/admin/Admin.vue";
import store from "@/store";

Vue.use(VueRouter);

const routes = [
    {path: '/', redirect: '/Camp23/items'},
    {path: '/howto', name: 'howto', component: HowTo},
    {path: '/:event/boxes', name: 'boxes', component: Boxes},
    {path: '/:event/items', name: 'items', component: Items},
    {path: '/:event/box/:uid', name: 'box', component: Boxes},
    {path: '/:event/item/:uid', name: 'item', component: Items},
    {path: '/:event/tickets', name: 'tickets', component: Tickets},
    {path: '/:event/ticket/:id', name: 'ticket', component: Ticket},
    {path: '/admin', name: 'admin', component: Admin},
    {path: '/admin/files', name: 'files', component: Files},
    {path: '/admin/events', name: 'events', component: Events},
    {path: '/admin/debug', name: 'debug', component: Debug},
    {path: '/admin/users', name: 'users', component: Events},
    {path: '*', component: Error},
];

const router = new VueRouter({
    mode: 'history',
    routes,
});

router.afterEach((to, from) => {
    if (to.params.event) {
        //console.log('update last event', to.params.event);
        store.commit('updateLastEvent', to.params.event);
    }
});

export default router;
